FreeMat

- Main Page
- Related Pages

vtkOrderStatistics

Section: Visualization Toolkit Infovis Classes

# Usage

Given a selection of columns of interest in an input data table, this class provides the following functionalities, depending on the execution mode it is executed in: Learn: calculate 5-point statistics (minimum, 1st quartile, median, third quartile, maximum) and all other deciles (1,2,3,4,6,7,8,9). Assess: given an input data set in port INPUT_DATA, and two percentiles p1 < p2, assess all entries in the data set which are outside of [p1,p2].

.SECTION Thanks Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories for implementing this class.

To create an instance of class vtkOrderStatistics, simply invoke its constructor as follows

      obj = vtkOrderStatistics

# Methods

The class vtkOrderStatistics has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOrderStatistics class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOrderStatistics = obj.NewInstance ()`
- `vtkOrderStatistics = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfIntervals (vtkIdType )` - Set the number of quantiles (with uniform spacing).
- `vtkIdType = obj.GetNumberOfIntervals ()` - Get the number of quantiles (with uniform spacing).
- `obj.SetQuantileDefinition (int )` - Set the quantile definition.
- `vtkIdType = obj.GetQuantileDefinition ()` - Given a collection of models, calculate aggregate model NB: not implemented
- `obj.Aggregate (vtkDataObjectCollection , vtkDataObject )` - Given a collection of models, calculate aggregate model NB: not implemented